#include "widget.h"
#include "ui_widget.h"

//________________________________________________________________________________________________________
Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
ui->setupUi(this);

cam = new QCamera(this);
imageCapture = new QCameraImageCapture(cam);
connect(imageCapture, SIGNAL(imageCaptured(int,QImage)), this, SLOT(imageCaptured(int,QImage)));
// une seule image
cam->setCaptureMode(QCamera::CaptureStillImage);
cam->start();
setWindowTitle("Capture d'image - version 1.00");
}

//________________________________________________________________________________________________________
Widget::~Widget()
{
delete ui;
//on shutter button released
cam->stop();
delete cam;
}


//________________________________________________________________________________________________________
void Widget::on_pushButton_clicked()
{
//on pressed shutter button
cam->searchAndLock();
imageCapture->capture();
cam->unlock();
}

//___________________________________________ slot: peinture de l'écran ___________________________________
void  Widget::paintEvent(QPaintEvent *event){
QPainter painter(this);

painter.drawImage(0,0, image);
}



//___________________________________________ slot: une image a été capturée _____________________________
void Widget::imageCaptured(int n, QImage im){
    image = im;
    repaint();
}
